Jump to content

Aperture 1.5 on Hackintosh?


  • Please log in to reply
27 replies to this topic

#21
Axix

Axix

    InsanelyMac Protégé

  • Validating
  • Pip
  • 23 posts
I use Aperture 1.5 on OSx86 10.4.6. You need to edit the info.plist in Aperture.

<key>AELMinimumOSVersion</key>
<string>10.4.8</string>
<key>AELMinimumRAMSize</key>
<string>100</string>
<key>CFBundleDevelopmentRegion</key>
<string>English</string>
<key>CFBundleDocumentTypes</key>
<array>



Write your version of OSx86 here:<string>10.4.8</string>

#22
Kelvin KC Chan

Kelvin KC Chan

    InsanelyMac Protégé

  • Members
  • PipPip
  • 76 posts
Aperture1.5 running on 10.4.6 JaS.
CPU celeron 336 , 1GB DDR667 fast enought to run iPhoto but not Aperture :)
I may buy the new one as D9XX or E6XXX.

#23
Guest: m41k_*

Guest: m41k_*
  • Guests
High guys, :hysterical:

i was testing Aperture1.5 on my dual xeon (Radeon_X1600Pro) running 10.4.5.
After starting it, i wasn't able to use the menu or importing/viewing images,
so i played a lil bit with 10.4.8 update to find out what's needed to run aperture correctly.
It took 5 min. to fix it, after updating the QuartzCore.framework it was working 100%.

So if someone is using an older version eg. 10.4.5/6/7, might try updating the QuartzCore.framework with Pacifist or something else (backup_the_origanl_one,_before...). I think that's the only file that needs to be updated.

Hope it helps ...

cheers

#24
me@home

me@home

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 335 posts
I dl quite a lot of *.dmg files and nothing works on my notebook (1280x800)....what's wrong ?
Aperture.dmg (2,58GB)
Aperture 1.5.2 install including precracked version (169MB)
Aperture 1.5.2 install only precracked version app (4,36MB)
Aperture1.5.1Update.dmg (131MB)
Aperture 1.5 fix (84KB)

Is it Tubgirls release that keeps me from running this application? I don't think so....

Please post me what File you installed and if it's working with / without further patching.

Maybe just maybe it's because Aperture needs resolution more than mine....I saw no patching in plist for that however the 169MB file seems to install fine, then click on icon, nothing happens, the full version doesn't let me install (minimum requirements blabla...).

I'd like to run this because PS3 is still beta for UB.

#25
Takuro

Takuro

    InsanelyMac Legend

  • Retired
  • 1,162 posts
  • Gender:Male
  • Location:New York
If you happen to be using Aperture with a warez serial, be careful. For some reason, Apple Legal is targeting this app and hammering people who they find registering with a pirated serial number.

I've been getting nasty calls for 2 days now. I'll have to erase my HD and throw it in the oven, then bury the ashes.

#26
consolation

consolation

    I am not expendable, I'm not stupid and I'm not going.

  • Members
  • PipPipPipPipPipPipPip
  • 878 posts

If you happen to be using Aperture with a warez serial, be careful. For some reason, Apple Legal is targeting this app and hammering people who they find registering with a pirated serial number.

I've been getting nasty calls for 2 days now. I'll have to erase my HD and throw it in the oven, then bury the ashes.


Sounds nasty...
Always get little snitch to block software that doesn't absolutely have to go to the net....

#27
Meatwagon

Meatwagon

    InsanelyMac Geek

  • Members
  • PipPipPip
  • 173 posts
  • Gender:Male
  • Location:vancouver,bc
ok i cant edit the plist cause its mounted so i copied the files to a folder on teh desktop and added those strings, then when i try to run the package installer its sayss error_os any help?

running jas 10.4.6

#28
FavleX

FavleX

    FavleX

  • Members
  • PipPipPipPipPipPipPip
  • 726 posts
I have installed but when I launch it it says:

/Volumes/hackintosh/Applications/Aperture.app/Contents/MacOS/Aperture 
dyld: Library not loaded: /System/Library/PrivateFrameworks/ProKit.framework/Versions/A/ProKit
  Referenced from: /Volumes/hackintosh/Applications/Aperture.app/Contents/MacOS/Aperture
  Reason: no suitable image found.  Did find:
		/System/Library/PrivateFrameworks/ProKit.framework/Versions/A/ProKit: mach-o, but wrong architecture
Trace/BPT trap

..could someone help me to get it on a 10.4.7 jas system with the right hardware for it??!!





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   Web hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy